<template>
  <li v-bind="$attrs">
    <span />
    <div
      v-if="step.action === 'ChangeCar'"
      class="title"
    >
      Changer de véhicule pour <em>{{ step.car.label }}</em>
    </div>
    <div
      v-else-if="step.action === 'GetPassenger'"
      class="title"
    >
      Aller chercher {{ step.ride.passengersCount }} passager(s) à <em>{{ step.location.label }}</em>
    </div>
    <div
      v-else-if="step.action === 'WaitPassenger'"
      class="title"
    >
      Attendre {{ step.ride.passengersCount }} passager(s)
    </div>
    <div
      v-else-if="step.action === 'DrivePassenger'"
      class="title"
    >
      Conduire {{ step.ride.passengersCount }} passager(s) au <em>{{ step.location.label }}</em>
    </div>
    <div
      v-else-if="step.action === 'DropPassenger'"
      class="title"
    >
      Déposer {{ step.ride.passengersCount }} passager(s) à <em>{{ step.location.label }}</em>
    </div>
    <div
      v-else
      class="title"
    >
      {{ step.action }}
    </div>
    <ride-details
      v-if="step.action !== 'ChangeCar'"
      :step="step"
    />
    <div class="when">
      <time
        :datetime="step.date"
      >{{ step.date|format_time }}</time>
    </div>
  </li>
</template>

<script>
import rideDetails from '~/components/step/ride-details.vue';

export default {
  components: {
    rideDetails,
  },
  props: {
    step: {
      type: Object,
      required: true,
    },
  },
};
</script>
